CoCoALib - Design #1655

Remove ability to compile CoCoALib against UNINSTALLED gmp?
28 Jan 2022 10:43 - John Abbott

Status: Closed Start date: 28 Jan 2022
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Safety Estimated time: 3.51 hours
Target version: CoCoALib-0.99800 Spent time: 3.25 hours
Description

This proposal is to modify the configure script so that it does not accept an uninstalled GMP.
A use who does not have sudo capability must then install GMP in a place which is writable
(e.g. SUSER/software/ or even $USER/local/ if you want to mimic the name ustr/local).

An important point is that installing GMP may well do more than just copy some files.
The GMP developers are entitled to change their internal structure (without warning)
as and when they see fit. Currently we have unwisely tried to be "clever": this involved
putting (private) details of GMP internal structure into our configure script. Not good!

Related issues:
Related to CoCoALib - Support #1591: Compilation of Normaliz Closed

30 Apr 2021

History

#1 - 28 Jan 2022 10:45 - John Abbott

JAA now thinks that what we do is wrong rather than "clever".
Unless AMB objects, we should make this change quickly.

#2 - 28 Jan 2022 10:45 - John Abbott
- Related to Support #1591: Compilation of Normaliz added

#3 - 28 Jan 2022 11:03 - John Abbott

- Status changed from New to In Progress
- Assignee set to John Abbott

- % Done changed from 0 to 10

| think the only real change needed is in the script configuration/gmp-find-hdr.sh
Perhaps it should print out a helpful message if it recognizes that an uninstalled
GMP tree was specified?

PS apparently | also use an uninstalled GMP... I'd forgotten that!

#4 - 28 Jan 2022 12:41 - John Abbott
- % Done changed from 10 to 50

| have just compiled successfully.
Need to update doc in ExternalLibs-GMP.txt

Anna will check in her machine soon... should also make compilation of other external libs easier.
#5 - 02 Feb 2022 10:48 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 50 to 80

| have updated the doc, and checked in everything.
Hope Anna can check on her machine soon.

#6 - 04 Feb 2022 21:49 - John Abbott

Anna please check everything is OK on your computer!

#7 - 14 Feb 2022 09:59 - Anna Maria Bigatti
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Dowloaded, compiled, (personal-)installed also on windows.
Instructions are good.
Closing

#8 - 14 Feb 2022 10:00 - Anna Maria Bigatti
- Estimated time set to 3.51 h
